# opentl::cvprocess::CV Class Reference

List of all members.

## Static Public Member Functions
static void | computeIntegralImage (opentl::core::cvdata::Image &srcImage, unsigned int *dstData)
| Computes the integral image of an greyscale 1 channel input image in a recursive way.
static void | convertHalcon2OpenCV (opentl::core::cvdata::Image &outimg)
| Copies a Halcon image to a OpenCV image.
static std::size_t | countWhitePixels (const opentl::core::cvdata::Image &inImage, unsigned int xAct, unsigned int yAct, unsigned int width, unsigned int height, unsigned int whiteValue=255)
| Count the number of white pixels (= value of 255) of an 1 channel greyscale image).

## Member Function Documentation

static void opentl::cvprocess::CV::computeIntegralImage | ( | opentl::core::cvdata::Image & | srcImage,
|  | unsigned int * | dstData |
| ) |  |  | `[static]`

Computes the integral image of an greyscale 1 channel input image in a recursive way.

Parameters:

  | srcImage | Image to compute an integral image from
  | dstData | destination data structure (MUST have the dimension of (width(srcImage)+1)*(height(srcImage)+1)). E.g. by doing a "new unsigned int[(w+1)*(h+1)];"

static void opentl::cvprocess::CV::convertHalcon2OpenCV | ( | opentl::core::cvdata::Image & | outimg | ) | `[static]`

Copies a Halcon image to a OpenCV image.

static std::size_t opentl::cvprocess::CV::countWhitePixels | ( | const opentl::core::cvdata::Image & | inImage,
|  | unsigned int | xAct,
|  | unsigned int | yAct,
|  | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | whiteValue = `255` |
| ) |  |  | `[static]`

Count the number of white pixels (= value of 255) of an 1 channel greyscale image).

Parameters:

  | inImage | Image to count white pixels from
  | xAct | Lower left x coordinate of the axis aligned bounding box to count from
  | yAct | Lower left y coordinate of the axis aligned bounding box to count from
  | width | Width of the axis aligned bounding box to count from
  | height | Height of the axis aligned bounding box to count from
  | whiteValue | value of a pixel to be considered white

Returns:
  Returns the number of white pixels found inside the bounding box (region of interest)